<?php

namespace App\Http\Controllers;

use App\Mail\ContactForm;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class DataController extends Controller
{
    public function contact()
    {
        $request = $this->validate(request(), [
            'name' => 'required|max:255',
            'email' => 'required|max:255',
            'message' => 'required|max:1000'
        ], [], [
            'name' => 'Nombre',
            'email' => 'Correo',
            'message' => 'Mensaje'
        ]);

        Mail::to('contacto@somosoftware.com')->send(new ContactForm($request['name'], $request['email'], $request['message']));

        return response()->json([], 200);
    }
}
